sigmets

API: weather.gov:national-weather-service-api
Endpoint: /aviation/sigmets
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 421ms

Description

Returns a list of SIGMET/AIRMETs

Parameters (5)

atsu (?, query, optional)

ATSU identifier

date (?, query, optional)

Date (YYYY-MM-DD format)

end (string, query, optional)

End time

sequence (?, query, optional)

SIGMET sequence number

start (string, query, optional)

Start time

Examples (3)

Get all current SIGMETs curl
curl 'https://api.weather.gov/aviation/sigmets'
import requests

resp = requests.get("https://api.weather.gov/aviation/sigmets")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets");
const data = await resp.json();
Get SIGMETs for Los Angeles ATSU on specific date curl
curl 'https://api.weather.gov/aviation/sigmets?atsu=KZLA&date=2024-03-14'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets",
    params={
        'atsu': 'KZLA',
        'date': '2024-03-14',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets", atsu="KZLA", date="2024-03-14")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets?atsu=KZLA&date=2024-03-14");
const data = await resp.json();
Get SIGMETs for New York ATSU with time range curl
curl 'https://api.weather.gov/aviation/sigmets?atsu=KZNY&start=2024-03-14T08%3A00%3A00Z&end=2024-03-14T16%3A00%3A00Z'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets",
    params={
        'atsu': 'KZNY',
        'start': '2024-03-14T08:00:00Z',
        'end': '2024-03-14T16:00:00Z',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets", atsu="KZNY", start="2024-03-14T08:00:00Z", end="2024-03-14T16:00:00Z")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets?atsu=KZNY&start=2024-03-14T08%3A00%3A00Z&end=2024-03-14T16%3A00%3A00Z");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:59:07.401122 200 421ms
2026-04-04 06:39:18.039611 200 11954ms
2026-04-04 02:44:41.857576 200 1253ms
2026-04-03 14:39:52.852688 200 3446ms
2026-04-03 14:13:54.683423 200 616ms
2026-04-03 13:17:14.132890 200 1417ms
2026-03-30 06:10:52.984911 200 405ms
2026-03-30 02:55:38.370099 200 431ms
2026-03-30 02:40:47.731408 200 1517ms
2026-03-29 15:20:52.730700 200 771ms
2026-03-29 12:54:24.329070 200 340ms
2026-03-29 12:53:08.120040 200 1132ms
2026-03-23 02:48:38.095194 200 603ms
2026-03-22 21:32:16.520551 200 2002ms
2026-03-22 21:14:47.172359 200 1381ms